---
updatedAt: 2025-04-25T08:45:25.000Z
agentTools:
  projectIndex: https://partner-docs.gupshup.io/llms.txt
---

# Get Flow api

Use this API to get flow details by flow Id.

## Request Parameters

| Key           | Description                                                            | Value                     | Data type | Required/Optional | Constraints                                                                                                                                                                              |
| :------------ | :--------------------------------------------------------------------- | :------------------------ | :-------- | :---------------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization | Access Token for the application                                       | \{\{PARTNER\_APP\_TOKEN}} | String    | Required          | Should be a valid Partner App Access Token                                                                                                                                               |
| appId         | App id of the app                                                      | \{\{APP\_ID}}             | String    | Required          | The Id should be a valid app Id of Gupshup                                                                                                                                               |
| flowId        | Flow Id                                                                | \{\{FLOW\_ID}}            | String    | Required          | Flow Id generated by Meta                                                                                                                                                                |
| fields        | You can request other fields by using the fields param in the request. | \{\{FIELDS}}              | String    | Optional          | it value would be comma separate : id, name, categories, preview, status, validation\_errors, json\_version, data\_api\_version, endpoint\_uri, whatsapp\_business\_account, application |

## Sample Request

```curl
curl --location --request GET 'https://partner.gupshup.io/partner/app/{{APP_ID}}/flows/{{FLOW_ID}}?feilds={{FEILDS}}' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json''
```

## Sample Response

```
{
    "application": {
        "id": "2281283925530161",
        "link": "https://www.gupshup.io/developer/home",
        "name": "GupShup"
    },
    "categories": [
        "APPOINTMENT_BOOKING",
        "SIGN_UP"
    ],
    "id": "1616289422261049",
    "json_version": "3.1",
    "name": "flow_dev_01",
    "preview": {
        "expires_at": "2024-07-21T10:15:47+0000",
        "preview_url": "https://business.facebook.com/wa/manage/flows/1616289422261049/preview/?token=fe2fa8b0-86bf-4d53-a6c3-eec4085ab48b"
    },
    "status": "success",
    "validation_errors": [],
    "whatsapp_business_account": {
        "currency": "INR",
        "id": "174161222453488",
        "message_template_namespace": "5928791c_e309_41df_b1d3_78e4af7954df",
        "name": "Self Serve Automation",
        "timezone_id": "71"
    }
}
```

## Status Codes

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Status Code
      </th>

      <th>
        Response
      </th>

      <th>
        Comments
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        **Success**
      </td>

      <td>

      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        200
      </td>

      <td>
        \\\{
        &#x20;&#x20;
        &#x20;   "application": \{
        &#x20;       "id": "2281283925530161",
        &#x20;       "link": "https\://www\.gupshup.io/developer/home",
        &#x20;       "name": "GupShup"
        &#x20;   },
        &#x20;   "categories": \[
        &#x20;       "APPOINTMENT\_BOOKING",
        &#x20;       "SIGN\_UP"
        &#x20;   ],
        &#x20;   "id": "1616289422261049",
        &#x20;   "json\_version": "3.1",
        &#x20;   "name": "flow\_dev\_01",
        &#x20;   "preview": \{
        &#x20;       "expires\_at": "2024-07-21T10:15:47+0000",
        &#x20;       "preview\_url": "https\://business.facebook.com/wa/manage/flows/1616289422261049/preview/?token=fe2fa8b0-86bf-4d53-a6c3-eec4085ab48b"
        &#x20;   },
        &#x20;   "status": "success",
        &#x20;   "validation\_errors": \[],
        &#x20;   "whatsapp\_business\_account": \{
        &#x20;       "currency": "INR",
        &#x20;       "id": "174161222453488",
        &#x20;       "message\_template\_namespace": "5928791c\_e309\_41df\_b1d3\_78e4af7954df",
        &#x20;       "name": "Self Serve Automation",
        &#x20;       "timezone\_id": "71"
        &#x20;   }
        }
      </td>

      <td>
        Get flow details for flow ID
      </td>
    </tr>

    <tr>
      <td>
        **Error**
      </td>

      <td>

      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        400
      </td>

      <td>
        \{

        "status": "error",
        "message": "Unsupported get request. Object with ID '12368263876e8269o6362986738' does not exist, cannot be loaded due to missing permissions, or does not support this operation. Please read the Graph API documentation at [https://developers.facebook.com/docs/graph-api](https://developers.facebook.com/docs/graph-api)"
        }
      </td>

      <td>
        For invalid flow ID
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Partner Portal API",
    "description": "Partner Portal API documentation",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.gupshup.io"
    },
    "version": "3.0.0-SNAPSHOT"
  },
  "externalDocs": {
    "description": "Gupshup Wiki Documentation",
    "url": "https://www.gupshup.io/partner/docs"
  },
  "servers": [
    {
      "url": "https://partner.gupshup.io/partner",
      "description": "Generated server url"
    }
  ],
  "tags": [
    {
      "name": "Flow management",
      "description": "API's for partners flow management"
    }
  ],
  "paths": {
    "/app/{appId}/flows/{flowId}": {
      "get": {
        "tags": [
          "Flow management"
        ],
        "summary": "Get Flow api",
        "operationId": "getflowbyid",
        "parameters": [
          {
            "name": "token",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Your app token, please refer [**Get access token api**](https://partner-docs.gupshup.io/reference/get_partner-app-appid-token#/) to get the token from partner documentation.",
            "example": "sk_345095d735c64a8ab2f97a92e953xxxx"
          },
          {
            "name": "appId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Unique identifier of the app.",
            "example": "a41b30f4-d202-4fdb-911e-3a8fbfbfxxxx"
          },
          {
            "name": "flowId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Flow Id generated by Meta",
            "example": "90381197123xxxx"
          },
          {
            "name": "fields",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Flow"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden - no permissions to access resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "required": [
          "entity",
          "status"
        ],
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "description": "Status Code",
            "format": "int32"
          },
          "message": {
            "type": "string",
            "description": "Error message describing the reason "
          },
          "details": {
            "type": "string",
            "description": "Developer specific error details "
          },
          "code": {
            "type": "string",
            "description": "Internal Error Code",
            "default": "PP-ERR-XXX"
          },
          "entity": {
            "type": "object",
            "description": "Response Object"
          }
        },
        "description": "Error"
      },
      "Flow": {
        "type": "object",
        "properties": {
          "validation_errors": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "json_version": {
            "type": "string"
          },
          "data_api_version": {
            "type": "string"
          },
          "endpoint_uri": {
            "type": "string"
          },
          "preview": {
            "$ref": "#/components/schemas/Preview"
          },
          "whatsapp_business_account": {
            "$ref": "#/components/schemas/WhatsappBusinessAccount"
          },
          "application": {
            "$ref": "#/components/schemas/SsApplication"
          },
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "categories": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "Preview": {
        "type": "object",
        "properties": {
          "expires_at": {
            "type": "string"
          },
          "preview_url": {
            "type": "string"
          }
        }
      },
      "SsApplication": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "link": {
            "type": "string"
          },
          "name": {
            "type": "string"
          }
        }
      },
      "WhatsappBusinessAccount": {
        "type": "object",
        "properties": {
          "message_template_namespace": {
            "type": "string"
          },
          "timezone_id": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "currency": {
            "type": "string"
          }
        }
      }
    }
  }
}
```